Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.v2.lifecycle
Class PagePhaseEvent

`java.lang.Object
java.util.EventObject
oracle.adf.controller.v2.lifecycle.PagePhaseEvent`

All Implemented Interfaces:
  java.io.Serializable

public class PagePhaseEvent
extends java.util.EventObject

PagePhaseEvent happend before and after each of the phase of the ADF PageLifecycle being listened.

Since:
  10.1.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PagePhaseEvent(LifecycleContext context, int phaseId, Lifecycle lifecycle)` Construct a new event object.The source of the event is the `Lifecycle` from the specified parameter.

Method Summary
`LifecycleContext` | `getLifecycleContext()` Return the `LifecycleContext` to the listener of the phase event.
`int` | `getPhaseId()` Return the phase id of the phase.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PagePhaseEvent

    public PagePhaseEvent(LifecycleContext context,
                          int phaseId,
                          Lifecycle lifecycle)

  Construct a new event object.The source of the event is the `Lifecycle` from the specified parameter.

Method Detail

### getLifecycleContext

    public LifecycleContext getLifecycleContext()

  Return the `LifecycleContext` to the listener of the phase event.

### getPhaseId

    public int getPhaseId()

  Return the phase id of the phase. Can only be one of the following:
  - `Lifecycle.INIT_CONTEXT_ID`
  - `Lifecycle.PREPARE_MODEL_ID`
  - `Lifecycle.APPLY_INPUT_VALUES_ID`
  - `Lifecycle.VALIDATE_INPUT_VALUES_ID`
  - `Lifecycle.PROCESS_UPDATE_MODEL_ID`
  - `Lifecycle.VALIDATE_MODEL_UPDATES_ID`
  - `Lifecycle.PROCESS_COMPONENT_EVENTS_ID`
  - `Lifecycle.PREPARE_RENDER_ID`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.